/*
 * SCIE -- Spinal Cord Injury Ontology Extraction
 * Copyright (C) 2013, 2014
 * Raphael Dickfelder, Jan Göpfert, Benjamin Paaßen, Andreas Stöckel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.techfak.scie.ontology.driver;

/**
 * The InvalidAssociationException is thrown whenever an association is created
 * that is not valid. This might either occur if the two nodes that should be
 * associated have not been stored in the database yet or belong to different
 * ontologies.
 *
 * @author Andreas Stöckel -- astoecke@techfak.uni-bielefeld.de
 */
public class InvalidAssociationException extends RuntimeException {

	/**
	 * Constructor of the InvalidAssociationException.
	 *
	 * @param message a message that provides additional information about the
	 * exception.
	 */
	public InvalidAssociationException(String message) {
		super(message);
	}

}
