/*
 * SCIE -- Spinal Cord Injury Ontology Extraction
 * Copyright (C) 2013, 2014
 * Raphael Dickfelder, Jan Göpfert, Benjamin Paaßen, Andreas Stöckel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.techfak.scie.ontology.importer.small;

import java.util.LinkedList;

import de.unibi.techfak.scie.ontology.OntologyDatabase;
import de.unibi.techfak.scie.ontology.driver.NodeHandle;
import de.unibi.techfak.scie.ontology.driver.OntologyHandle;
import de.unibi.techfak.scie.ontology.Node;

public class AssociationList extends LinkedList<AbstractAssociation> {

	private int sourceId;

	public AssociationList(int sourceId) {
		this.sourceId = sourceId;
	}

	public void flush(OntologyDatabase db, OntologyHandle onto) {
		Node source = db.getNode(new NodeHandle(onto, sourceId));

		for (AbstractAssociation asso : this) {
			Node target = db.getNode(new NodeHandle(onto, asso.getTarget()));
			source.addAssociationTo(target, asso.getType());
		}
	}
}
