/*
 * SCIE -- Spinal Cord Injury Ontology Extraction
 * Copyright (C) 2013, 2014
 * Raphael Dickfelder, Jan Göpfert, Benjamin Paaßen, Andreas Stöckel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.techfak.scie.ontology.importer.small;

import de.unibi.techfak.scie.ontology.importer.small.AbstractAssociation;
import de.unibi.techfak.scie.ontology.importer.small.AssociationList;
import de.unibi.techfak.scie.db.DatabaseSingleton;
import de.unibi.techfak.scie.ontology.Node;
import de.unibi.techfak.scie.ontology.OntologyDatabase;
import de.unibi.techfak.scie.ontology.driver.AssociationType;
import de.unibi.techfak.scie.ontology.driver.OntologyHandle;
import junit.framework.TestCase;

public class AssociationListTest extends TestCase {
	public AssociationListTest(String testName) {
		super(testName);
	}

	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

	@Override
	protected void tearDown() throws Exception {
		super.tearDown();
	}
	/**
	 * Test of imported Data(see pom.xml).
	 */
	public void testDataFlush() throws Exception {
		DatabaseSingleton.initialize("./config_dbtest.xml");
		OntologyDatabase db = DatabaseSingleton.getInstance().getOntologyDatabase();
		OntologyHandle onto = db.getEmptyOntology("test1");
		Node nul=new Node(db, onto, 0, "name0");
		Node one=new Node(db, onto, 1, "name1");
		db.storeNode(nul);
		db.storeNode(one);
		AssociationList list = new AssociationList(0);
		list.add(new AbstractAssociation(1, AssociationType.getType("is_a")));
		list.flush(db,onto);
		assertTrue(one.getAssociatedNodes(AssociationType.IS_A.getValue()).contains(nul));
	}
}
